---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libmexit01.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: __Z15jlong_to_stringlPc, symObjAddr: 0x0, symBinAddr: 0x2960, symSize: 0x174 }
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x1E000, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0xA6, offset: 0xA6, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x1E008, symBinAddr: 0x8038, symSize: 0x0 }
  - { offsetInCU: 0xBF, offset: 0xBF, size: 0x8, addend: 0x0, symName: __ZL5exits, symObjAddr: 0x2818, symBinAddr: 0x4018, symSize: 0x0 }
  - { offsetInCU: 0x143, offset: 0x143, size: 0x8, addend: 0x0, symName: __ZL17isVirtualExpected, symObjAddr: 0x1E010, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0x16E, offset: 0x16E, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1E018, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x8D57, offset: 0x8D57, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x1E020, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x8D70, offset: 0x8D70, size: 0x8, addend: 0x0, symName: __ZL14eventsExpected, symObjAddr: 0x1E158, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8D84, offset: 0x8D84, size: 0x8, addend: 0x0, symName: __Z15jlong_to_stringlPc, symObjAddr: 0x0, symBinAddr: 0x2960, symSize: 0x174 }
  - { offsetInCU: 0x8DF6, offset: 0x8DF6, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x2AD4, symSize: 0x24 }
  - { offsetInCU: 0x914E, offset: 0x914E, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0xC70, symBinAddr: 0x2AF8, symSize: 0x4A4 }
  - { offsetInCU: 0x9631, offset: 0x9631, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1114, symBinAddr: 0x2F9C, symSize: 0x178 }
  - { offsetInCU: 0x9816, offset: 0x9816, size: 0x8, addend: 0x0, symName: _Java_mexit01_init0, symObjAddr: 0x128C, symBinAddr: 0x3114, symSize: 0xB8 }
  - { offsetInCU: 0x9946, offset: 0x9946, size: 0x8, addend: 0x0, symName: _Java_mexit01_check, symObjAddr: 0x1344, symBinAddr: 0x31CC, symSize: 0x1E4 }
  - { offsetInCU: 0x9B6B, offset: 0x9B6B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x1528, symBinAddr: 0x33B0, symSize: 0x30 }
  - { offsetInCU: 0x9BE8, offset: 0x9BE8, size: 0x8, addend: 0x0, symName: _Java_mexit01a_chain, symObjAddr: 0x1558, symBinAddr: 0x33E0, symSize: 0x28 }
  - { offsetInCU: 0x9C29, offset: 0x9C29, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1580, symBinAddr: 0x3408, symSize: 0x4 }
  - { offsetInCU: 0x9C6D, offset: 0x9C6D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1580, symBinAddr: 0x3408, symSize: 0x4 }
  - { offsetInCU: 0x9C7F, offset: 0x9C7F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1584, symBinAddr: 0x340C, symSize: 0x4 }
  - { offsetInCU: 0x9CC3, offset: 0x9CC3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1584, symBinAddr: 0x340C, symSize: 0x4 }
...
